﻿/// <reference path="../jquery-1.4.4-vsdoc.js" />
/// <reference path="../jquery.validate-vsdoc.js" />
/// <reference path="../jquery.validate.unobtrusive.js" />

/// Copyright (c) 2011 Andrey Veselov. All rights reserved.
/// WebSite: http://andrey.moveax.ru 
/// Email: andrey@moveax.ru
/// This source is subject to the Microsoft Public License (Ms-PL).

jQuery.validator.addMethod("blockhtml", function (value, element, params) {
    if (value === null) { return true; }

    var regexp = new RegExp("^(&\u0023)|^(<[/!a-zA-Z])|^((.(?!(?:(&\u0023)|(<[/!a-zA-Z]))))*)$");
    var match = regexp.exec(value);
    return (match && (match.index === 0) && (match[0].length === value.length));
});

jQuery.validator.unobtrusive.adapters.addBool("blockhtml");